# {{ ansible_managed }}
# See https://chrony.tuxfamily.org/documentation.html for details on this file

# Public servers from pool, if configured
{% if chrony_use_pool %}
pool {{ chrony_pool }}
{% endif %}

# Public servers listed, if not using a pool
{% if not chrony_use_pool %}
{% for server in timeservice_servers %}
server {{ server }}
{% endfor %}
{% endif %}

# Ignore stratum in source selection.
stratumweight 0

keyfile {{ chrony_keyfile }}

driftfile {{ chrony_driftfile }}
log {{ chrony_log }}
logdir {{ chrony_logdir }}

# Adjustment tuning

# When is a estimate considered unreliable
maxupdateskew {{ chrony_maxupdateskew }}

# In first three updates step the system clock instead of slew
# if the adjustment is larger than 10 seconds (defaults).
makestep {{ chrony_step_threshold }} {{ chrony_step_updates }}

# May use slew for initial adjustment is small. Chrony will wait for
# this adjustment before serving other processes
{% if chrony_initstepslew %}
initstepslew {{ chrony_initstepslew_threshold }} {{ chrony_initstepslew_servers }}
{% endif %}


dumponexit

# Specify directory for dumping measurements.

dumpdir {{ chrony_dumpdir }}

# This directive lets 'chronyd' to serve time even if unsynchronised to any
# NTP server.
{% if timeservice_use_local %}
local stratum 10
{% endif %}

# Allow commands from hosts
{% for address in chrony_cmd_addresses %}
bindcmdaddress {{ address }}
{% endfor %}

# This directive designates subnets (or nodes) from which NTP clients are allowed
# to access to 'chronyd'.

#allow foo.example.net
#allow 10/8
#allow 0/0 (allow access by any IPv4 node)
#allow ::/0 (allow access by any IPv6 node)

{% for address in timeservice_restrict_ipv4 %}
allow {{ address }}
{% endfor %}
{% for address in timeservice_restrict_ipv6 %}
allow {{ address }}
{% endfor %}


# This directive forces `chronyd' to send a message to syslog if it
# makes a system clock adjustment larger than a threshold value in seconds.

logchange 0.5

{% if chrony_noclientlog %}
noclientlog
{% endif %}

# This directive defines an email address to which mail should be sent
# if chronyd applies a correction exceeding a particular threshold to the
# system clock.

# mailonchange root@localhost 0.5

# This directive tells 'chronyd' to parse the 'adjtime' file to find out if the
# real-time clock keeps local time or UTC. It overrides the 'rtconutc' directive.

hwclockfile /etc/adjtime

# This directive enables kernel synchronisation (every 11 minutes) of the
# real-time clock. Note that it can’t be used along with the 'rtcfile' directive.

{% if chrony_rtcsync %}
rtcsync
{% endif %}

